How to instal Lucence 5.1.0 / solr + tomcat7 on Ubuntu 15.04

There is a solr-tomcat package, but to install it you need to install tomcat7 first. If you already have tomcat7, skip step 1.

  1. sudo apt-get install tomcat7 tomcat7-admin tomcat7-common libtomcat7-java
  2. sudo apt-get install solr-tomcat
  3. Check http://localhost:8080 to confirm tomcat
  4. Check http://localhost:8080/solr to confirm solr
  5. Done!
Annonser